Bug 201273 - OpenOffice.org needs mozilla LDAP address book - NOT Evolution LDAP
OpenOffice.org needs mozilla LDAP address book - NOT Evolution LDAP
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-08-03 18:49 EDT by Anthony Messina
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 04:21:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 135137 None None None Never

  None (edit)
Description Anthony Messina 2006-08-03 18:49:52 EDT
Description of problem:
OpenOffice.org in the Fedora/Red Hat releases should have support for LDAP
address books, just as the binaries from OpenOffice.org do (for Windows and
Linux) -- NOT through Evolution LDAP, as this is buggy and a user should not
need to use Evolution just to allow this feature in OpenOffice. This feature was
available in the OpenOffice 1.x releases.

Version-Release number of selected component (if applicable):
Comment 1 Caolan McNamara 2006-08-04 04:21:54 EDT
The problem is that the openoffice.org upstream default LDAP support is based on
using an older internal copy of mozilla hacked up a bit, and as such is riddled
with possible security flaws from that release. The reason they were forced to
patch an old mozilla rather than use a current one directly, is because of
mozillabug: http://bugzilla.mozilla.org/show_bug.cgi?id=135137

1. If we link against our stock mozilla/firefox libraries we get the problems
described in http://bugzilla.mozilla.org/show_bug.cgi?id=135137
2. If we link against the patched upstream-style mozilla libs, we get the bloat
of the extra libs, and we have to maintain a fairly dangerous from a security
perspective extra set of moz libs

So, if the mozilla guys fixed this problem, we could provide a LDAP solution
through mozilla instead of, or as well as, through evolution. But for the moment
I strongly suggest logging explicit LDAP problems with evolution against the
evolution component.
Comment 2 Anthony Messina 2006-08-04 10:55:34 EDT
I do appreciate your clarification. It seems that OpenOffice in Fedora could
benefit from having a better solution, i.e. not being so dependant on Mozilla
and querying LDAP directly and being able to map LDAP attributes:values from
schmeas defined outside of Mozilla, such as inetOrgPerson, etc. Even better, it
would be nice to be able to map whatever LDAP attributes I search for to
whatever i want in OpenOffice: telephoneNumber --> workPhone (for example).  I
say this, especially since Mozilla is having trouble defining a better address
book schema, see: http://wiki.mozilla.org/MailNews:LDAP_Address_Books
Comment 3 Caolan McNamara 2006-08-04 11:07:39 EDT
Yes, a direct LDAP driver instead of the existing options of a
ldap-through-mozilla or a ldap-through-evolution would benefit all OOo distros

Note You need to log in before you can comment on or make changes to this bug.